package ;

import display.navigation.Navigation;
import display.scenes.Scenes;
import js.Browser;
import js.JQuery;
import logic.Const;
 
class Main {
	
	static inline function _(str:String):JQuery {return untyped $(str);}
	static private var _navigation:Navigation;
	static private var _scenes:Scenes;
	
    static public function main():Void {
        Browser.window.onload = Main._init;
    }
	
    static private function _init(e:Dynamic):Void {
		Main._navigation = new Navigation(_("#nav"));
		Main._scenes = new Scenes(_("#scenes"));
		Main.changeSceneEvent(Const.ID_SCENE_01);
	}
	
	static public function changeSceneEvent(id:String):Void {
		//Browser.window.alert("changeSceneEvent : " + id);
		Main._navigation.changeScene(id);
		Main._scenes.changeScene(id);
	}
	
}